/***************
 *  STRING92.H
 ***************
Copyright (c) 1998-1999 David Kuehling

This software is provided 'as-is', without any express or implied
warranty. In no event will the authors be held liable for any damages
arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,
including commercial applications, and to alter it and redistribute it
freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not
   claim that you wrote the original software. If you use this software
   in a product, an acknowledgment in the product documentation would be
   appreciated but is not required.
2. Altered source versions must be plainly marked as such, and must not be
   misrepresented as being the original software.
3. This notice may not be removed or altered from any source distribution.

 * Header file of the TI-Graph Link string variable creation module
 * `STRING92.C'
 *
 * Last modification: january 1999
 *
 */

/**
 * Create a TI-92 Graph Link string variable (*.92s) named `fileName' of
 * the data, given by `data' and `len'. The size-of-variable-word at the
 * beginning of the variable and the string-identifier at the end are
 * automatically added. An additional zero-byte is also added to the string
 * variable's end to make the TI-92 display the string as an empty string
 * (strings are processed from the end to the beginning).
 * Returns nonzero on error. In this case the `errno' variable will specify
 * the error.
 */
int Create92S (char *data, long len, char *fileName);

/**
 * Create a checksum by adding all bytes from `data' into an unsigned
 * variable.
 */
unsigned short GenerateChecksum (unsigned char *data, long len);
